package com.mdd.admin.validate.channel;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;

@ApiModel("开发平台渠道参数")
public class ChannelOpValidate implements Serializable {
   private static final long serialVersionUID = 1L;
   @ApiModelProperty("appId")
   private String appId;
   @ApiModelProperty("appSecret")
   private String appSecret;

   public String getAppId() {
      return this.appId;
   }

   public String getAppSecret() {
      return this.appSecret;
   }

   public void setAppId(String appId) {
      this.appId = appId;
   }

   public void setAppSecret(String appSecret) {
      this.appSecret = appSecret;
   }

   public boolean equals(Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof ChannelOpValidate)) {
         return false;
      } else {
         ChannelOpValidate other = (ChannelOpValidate)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            Object this$appId = this.getAppId();
            Object other$appId = other.getAppId();
            if (this$appId == null) {
               if (other$appId != null) {
                  return false;
               }
            } else if (!this$appId.equals(other$appId)) {
               return false;
            }

            Object this$appSecret = this.getAppSecret();
            Object other$appSecret = other.getAppSecret();
            if (this$appSecret == null) {
               if (other$appSecret != null) {
                  return false;
               }
            } else if (!this$appSecret.equals(other$appSecret)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof ChannelOpValidate;
   }

   public int hashCode() {
      int PRIME = true;
      int result = 1;
      Object $appId = this.getAppId();
      result = result * 59 + ($appId == null ? 43 : $appId.hashCode());
      Object $appSecret = this.getAppSecret();
      result = result * 59 + ($appSecret == null ? 43 : $appSecret.hashCode());
      return result;
   }

   public String toString() {
      return "ChannelOpValidate(appId=" + this.getAppId() + ", appSecret=" + this.getAppSecret() + ")";
   }
}
